Summary: RPM installer/updater
Name: yum-conf
Version: 9.0.1
Release: 4
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service

%description
Configuration files to setup yum.conf, as well as setup yum in you daily cron.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.d
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
if [ -s /etc/fermi-release ] ; then
	RELEASE="$(cat /etc/fermi-release | cut -d' ' -f4 | tr -d .)"
else
	RELEASE="901"
fi
RELEASEPRE="$(echo $RELEASE | cut -c1,2)"
cat /etc/yum.conf.template | sed "s:FERMIRELEASE:${RELEASEPRE}1:" > /etc/yum.conf.${RELEASEPRE}1
cat /etc/yum.conf.template | sed "s:FERMIRELEASE:${RELEASEPRE}rolling:" > /etc/yum.conf.${RELEASEPRE}rolling
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
exit 0


%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0


%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%config %{_sysconfdir}/logrotate.d/yum
%{_sysconfdir}/yum.conf.template
%{_sysconfdir}/yum.d/

%changelog
* Mon Apr 7 2003 Troy Dawson <dawson@fnal.gov>
- Changed the default to 901 from 731

* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- First Go at the 9.0.1 config files.

* Wed Mar 26 2003 Troy Dawson <dawson@fnal.gov>
- Split the yum-conf completely away from the yum rpm and made it release
dependant.
